This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 222612 (poker2d)

Summary: Review Request: poker2d - GTK poker client to play on a poker-network server
Product: [Fedora] Fedora Reporter: Christopher Stone <chris.stone>
Component: Package ReviewAssignee: Wart <wart>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: wart
Target Milestone: ---Flags: wart: fedora‑review+
dennis: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-20 14:45:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 219972    
Bug Blocks: 163779    

Description Christopher Stone 2007-01-15 02:48:34 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.33-2.src.rpm

Description:
Play poker with other players connected on a poker-network server
(holdem, omaha, omaha high/low, stud 7 ...) in ring games, sit and go
or multitables tournaments. poker2d will automaticaly reconnect to
the table if the connection is lost and allows playing on multiple
tables simultaneously.
Comment 1 Christopher Stone 2007-01-19 13:06:52 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.33-3.src.rpm

%changelog
* Fri Jan 19 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-3
- Remove %%{release} from poker-network in poker-client-lib Requires
Comment 2 Christopher Stone 2007-01-20 15:53:30 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.33-4.src.rpm

%changelog
* Sat Jan 20 2007 Christopher Stone <chris.stone@gmail.com> 1.0.33-4
- Move %%{_libexecdir}/poker-interface into a common subpackage
- Move locales to poker2d-common
- Move poker-client-lib back into poker-network package
- Remove Version from desktop file
- Fix up Requires and BuildRequires
- Fix descriptions for sub packages
Comment 3 Wart 2007-01-21 14:06:18 EST
I've just started looking at this in order to test poker-network, and have come
across a few quirks:

 - poker2d throws an error if sound is not enabled on the host machine.  It
would be nice if it could print a warning a continue on:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pokerclient2d/poker2d.py", line 145, in run
    config = config)
  File "/usr/lib/python2.5/site-packages/pokerclient2d/poker2d.py", line 197, in
__init__
    self.initDisplay()
  File "/usr/lib/python2.5/site-packages/pokerclient2d/poker2d.py", line 280, in
initDisplay
    factory = self)
  File "/usr/lib/python2.5/site-packages/pokerclient2d/pokerdisplay2d.py", line
324, in __init__
    pygame.mixer.init()
error: No available audio device


 - I haven't been able to find a way to specify which poker server to use
outside of editting the poker2d.xml file.  This means that in order to use my
own poker server, I have to start up poker2d, exit, edit poker2d.xml, then start
poker2d again.  A command line option or in-game menu option to set the poker
server would be useful.

 - Attempting to select the 'High Quality Graphics' option from the in-game menu
throws an error:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pokerclient2d/poker2d.py", line 65, in
simulate
    Gtk2Reactor.simulate(self)
  File "/usr/lib/python2.5/site-packages/twisted/internet/gtk2reactor.py", line
216, in simulate
    self.runUntilCurrent()
  File "/usr/lib/python2.5/site-packages/twisted/internet/base.py", line 539, in
runUntilCurrent
    self._insertNewDelayedCalls()
  File "/usr/lib/python2.5/site-packages/twisted/internet/base.py", line 505, in
_insertNewDelayedCalls
    for call in self._newTimedCalls:
  File "/usr/lib/python2.5/site-packages/pokerui/pokerinterface.py", line 107,
in event
    data = self.handleMenu(data[1:])
  File "/usr/lib/python2.5/site-packages/pokerui/pokerinterface.py", line 580,
in handleMenu
    self.publishEvent(INTERFACE_MENU, data[0], data[1])
  File "/usr/lib/python2.5/site-packages/pokernetwork/dispatch.py", line 61, in
publishEvent
    cb(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/pokerui/pokerrenderer.py", line 1615,
in handleMenu
    settings.headerSet("/settings/glow", value)
  File "/usr/lib/python2.5/site-packages/pokernetwork/pokernetworkconfig.py",
line 64, in headerSet
    result = pokerengineconfig.Config.headerSet(self, name, value)
  File "/usr/lib/python2.5/site-packages/pokerengine/pokerengineconfig.py", line
147, in headerSet
    results[0].setContent(value)
IndexError: list index out of range
Comment 4 Christopher Stone 2007-01-24 17:10:56 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker-network.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.34-1.src.rpm

%changelog
* Wed Jan 24 2007 Christopher Stone <chris.stone@gmail.com> 1.0.34-1
- Upstream sync
- Comment out make check
Comment 5 Wart 2007-01-28 23:44:48 EST
Is 'Requires: MySQL-python' really necessary?  I don't have mysql-server
installed on my client machine, or even remote access to the mysql server on the
poker server machine, yet the poker2d client still runs fine.
Comment 6 Christopher Stone 2007-02-14 06:02:07 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.35-1.src.rpm

%changelog
* Wed Feb 15 2007 Christopher Stone <chris.stone@gmail.com> 1.0.35-1
- Upstream sync
- Remove Requires for MySQL-python
- Move creation of desktop file to %%prep
Comment 7 Wart 2007-02-18 13:21:32 EST
The poker2d binary gets installed in /usr/games.  This isn't in the default path
for users.  It should be installed in /usr/bin instead.
Comment 8 Christopher Stone 2007-02-18 15:10:34 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.35-2.src.rpm

%changelog
* Sun Feb 18 2007 Christohper Stone <chris.stone@gmail.com> 1.0.35-2
- Move poker2d binary to %%{_bindir}
- Update desktop file to correspond with new binary location
Comment 9 Wart 2007-02-19 18:33:28 EST
GOOD
====
* Source matches upstream:
  db5dd531d4d7113c1777ba66a41fe803  poker-network-1.0.35.tar.gz
* GPL license ok, license file included
* rpmlint output clean
* Spec file legible and in Am. English
* Compiles and builds on FC6-i386, FC6-x86_64, devel-i386, devel-x86_64
* Language files properly handled with %find_lang
* No shared libraries in the default linker path
* $RPM_BUILD_ROOT cleaned where appropriate
* Package owns all directories that it creates
* No duplicate %files
* No need for -devel subpackage
* No need for separate -doc subpackage
* Not relocatable
* .desktop file installed correctly
* No pkgconfig files

MUSTFIX
=======
* .la droppings.  If these are needed, then document the reason why in the
  spec file.
  /usr/lib/python2.4/site-packages/_pokerinterface.la
  /usr/lib/python2.4/site-packages/_pokerinterface2_4.la

* The documentation file NIHPHOBIA is cute, but unnecessary.

COMMENTS
========
* poker2d currently shares the same source tarball as poker-network.  But
  as the comment mentions in the spec file, these will eventually be split
  upstream into two separate tarballs.  This is acceptable.

* poker2d-common contains a single file.  Is it really necessary to split this
  into a separate subpackage?

* Runs fine on FC6, but I've had odd crashes on FC7 with python 2.5.
  Upstream may want to consider more testing with python 2.5.
Comment 10 Christopher Stone 2007-02-19 18:53:20 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker2d.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker2d-1.0.35-3.src.rpm

%changelog
* Mon Feb 19 2007 Christopher Stone <chris.stone@gmail.com> 1.0.35-3
- Remove NIHPHOBIA from %%doc
- Remove libtool archive files

The libexec file in poker2d-common will also be used by the (not yet packaged)
poker3d package.

I will inform upstream about crashes with python2.5.

Thanks for the review! :)
Comment 11 Wart 2007-02-19 19:15:33 EST
All MUSTFIX items fixed.

APPROVED
Comment 12 Christopher Stone 2007-02-19 22:10:35 EST
New Package CVS Request
=======================
Package Name: poker2d
Short Description: GTK poker client to play on a poker-network server
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 devel
InitialCC: loic@gnu.org
Comment 13 Dennis Gilmore 2007-02-19 22:19:06 EST
branched 
Comment 14 Christopher Stone 2007-02-20 14:45:59 EST
- Imported and built on FC-5, FC-6, and devel
- Entry added to comps for FE5, FE6, and FE7
- Wiki page created at http://fedoraproject.org/wiki/Games/poker2d

Thanks for the review!